OrcFile.ReaderOptions (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc

## Class OrcFile.ReaderOptions

- java.lang.Object
- - org.apache.orc.OrcFile.ReaderOptions

- Enclosing class:
    OrcFile

      public static class OrcFile.ReaderOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderOptions(Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcFile.ReaderOptions` | `convertToProlepticGregorian(boolean newValue)` Should the reader convert dates and times to the proleptic Gregorian calendar?
    `OrcFile.ReaderOptions` | `fileMetadata(FileMetadata metadata)` Deprecated. Use `orcTail(OrcTail)` instead.
    `OrcFile.ReaderOptions` | `filesystem(FileSystem fs)`
    `Configuration` | `getConfiguration()`
    `boolean` | `getConvertToProlepticGregorian()`
    `FileMetadata` | `getFileMetadata()`
    `FileSystem` | `getFilesystem()`
    `KeyProvider` | `getKeyProvider()`
    `long` | `getMaxLength()`
    `OrcTail` | `getOrcTail()`
    `boolean` | `getUseUTCTimestamp()`
    `OrcFile.ReaderOptions` | `maxLength(long val)`
    `OrcFile.ReaderOptions` | `orcTail(OrcTail tail)`
    `OrcFile.ReaderOptions` | `setKeyProvider(KeyProvider provider)` Set the KeyProvider to override the default for getting keys.
    `OrcFile.ReaderOptions` | `useUTCTimestamp(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderOptions

          public ReaderOptions(Configuration conf)

  - ### Method Detail

    - #### filesystem

          public OrcFile.ReaderOptions filesystem(FileSystem fs)

    - #### maxLength

          public OrcFile.ReaderOptions maxLength(long val)

    - #### orcTail

          public OrcFile.ReaderOptions orcTail(OrcTail tail)

    - #### setKeyProvider

          public OrcFile.ReaderOptions setKeyProvider(KeyProvider provider)

      Set the KeyProvider to override the default for getting keys.
      Parameters:
        `provider` -
      Returns:

    - #### convertToProlepticGregorian

          public OrcFile.ReaderOptions convertToProlepticGregorian(boolean newValue)

      Should the reader convert dates and times to the proleptic Gregorian calendar?
      Parameters:
        `newValue` - should it use the proleptic Gregorian calendar?
      Returns:
        this

    - #### getConfiguration

          public Configuration getConfiguration()

    - #### getFilesystem

          public FileSystem getFilesystem()

    - #### getMaxLength

          public long getMaxLength()

    - #### getOrcTail

          public OrcTail getOrcTail()

    - #### getKeyProvider

          public KeyProvider getKeyProvider()

    - #### fileMetadata

          public OrcFile.ReaderOptions fileMetadata(FileMetadata metadata)

      Deprecated. Use `orcTail(OrcTail)` instead.

    - #### getFileMetadata

          public FileMetadata getFileMetadata()

    - #### useUTCTimestamp

          public OrcFile.ReaderOptions useUTCTimestamp(boolean value)

    - #### getUseUTCTimestamp

          public boolean getUseUTCTimestamp()

    - #### getConvertToProlepticGregorian

          public boolean getConvertToProlepticGregorian()

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.